//
//  It is file 'archdr.cc'
//
//  Copyright (C) 1992, 1993 Serge Pachkovsky, ps@che.nsk.su
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 1, or (at your option)
//  any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
#include "stdinc.hpp"
#include "timestamp.hpp"
#include "byteorder.hpp"
#include "archdr.hpp"

ByteOrder   UncomprHdr::Layout = {
	{   ConvertDword,   sizeof( unsigned long  )  },
	{   ConvertDword,   sizeof( unsigned long  )  },
	{   ConvertWord,    sizeof( unsigned short )  },
	{   ConvertWord,    sizeof( unsigned short )  },
	{   ConvertWord,    sizeof( unsigned short )  },
	{   ConvertStop,    sizeof( unsigned short )  }
    } ;
ByteOrder   ComprHdr::Layout   = {
	{   ConvertDword,   sizeof( unsigned long  )  },
	{   ConvertDword,   sizeof( TimeStamp )       },
	{   ConvertWord,    sizeof( unsigned short )  },
	{   ConvertWord,    sizeof( unsigned short )  },
	{   ConvertWord,    sizeof( unsigned short )  },
	{   ConvertWord,    sizeof( unsigned short )  },
	{   ConvertStop,    sizeof( unsigned short )  }
    } ;
